Package com.datecs.fiscalprinter.SDK.model.UserLayerV1

# Class cmdInfo.FiscalPeriodInfo

java.lang.Object
com.datecs.fiscalprinter.SDK.model.UserLayerV1.cmdInfo.FiscalPeriodInfo

Enclosing class:
  cmdInfo

    public static class cmdInfo.FiscalPeriodInfo
    extends java.lang.Object

Data class INFORMATION ON A FISCAL RECORD OR FISCAL PERIOD

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalPeriodInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double[]` | `getAPayd()` |
  `int` | `getCanC()` |
  `double` | `getCanS()` |
  `double` | `getCardP()` |
  `double` | `getCashP()` |
  `double` | `getCheqP()` |
  `int` | `getClCnt()` |
  `int` | `getClosure()` |
  `double` | `getCredP()` |
  `int` | `getDec()` |
  `int` | `getDecRec()` |
  `int` | `getDiscC()` |
  `double` | `getDiscS()` |
  `java.lang.String` | `getDT()` |
  `java.lang.String` | `getEnabled()` |
  `double` | `getGTotal()` |
  `double` | `getGVAT()` |
  `int` | `getInC()` |
  `int` | `getKLEN()` |
  `int` | `getMkUpC()` |
  `double` | `getMkUpS()` |
  `double[]` | `getNetX()` |
  `int` | `getOut()` |
  `double[]` | `getPerX()` |
  `int` | `getReceipts()` |
  `java.lang.String` | `getReset()` |
  `int` | `getSE()` |
  `int` | `getSR()` |
  `int` | `getST()` |
  `double[]` | `getTaxX()` |
  `double[]` | `getTotX()` |
  `int` | `getVE()` |
  `int` | `getVoidC()` |
  `double` | `getVoidS()` |
  `int` | `getVR()` |
  `int` | `getVT()` |
  `void` | `setAPayd​(double[] APayd)` |
  `void` | `setCanC​(int canC)` |
  `void` | `setCanS​(double canS)` |
  `void` | `setCardP​(double cardP)` |
  `void` | `setCashP​(double cashP)` |
  `void` | `setCheqP​(double cheqP)` |
  `void` | `setClCnt​(int clCnt)` |
  `void` | `setClosure​(int closure)` |
  `void` | `setCredP​(double credP)` |
  `void` | `setDec​(int dec)` |
  `void` | `setDecRec​(int decRec)` |
  `void` | `setDiscC​(int discC)` |
  `void` | `setDiscS​(double discS)` |
  `void` | `setDT​(java.lang.String DT)` |
  `void` | `setEnabled​(java.lang.String enabled)` |
  `void` | `setGTotal​(double GTotal)` |
  `void` | `setGVAT​(double GVAT)` |
  `void` | `setInC​(int inC)` |
  `void` | `setKLEN​(int KLEN)` |
  `void` | `setMkUpC​(int mkUpC)` |
  `void` | `setMkUpS​(double mkUpS)` |
  `void` | `setNetX​(double[] netX)` |
  `void` | `setOut​(int out)` |
  `void` | `setPerX​(double[] perX)` |
  `void` | `setReceipts​(int receipts)` |
  `void` | `setReset​(java.lang.String reset)` |
  `void` | `setSE​(int SE)` |
  `void` | `setSR​(int SR)` |
  `void` | `setST​(int ST)` |
  `void` | `setTaxX​(double[] taxX)` |
  `void` | `setTotX​(double[] totX)` |
  `void` | `setVE​(int VE)` |
  `void` | `setVoidC​(int voidC)` |
  `void` | `setVoidS​(double voidS)` |
  `void` | `setVR​(int VR)` |
  `void` | `setVT​(int VT)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalPeriodInfo

    public FiscalPeriodInfo()

- ## Method Details

  - ### getCanS

    public double getCanS()

  - ### setCanS

    public void setCanS​(double canS)

  - ### getClosure

    public int getClosure()

  - ### setClosure

    public void setClosure​(int closure)

  - ### getClCnt

    public int getClCnt()

  - ### setClCnt

    public void setClCnt​(int clCnt)

  - ### getVR

    public int getVR()

  - ### setVR

    public void setVR​(int VR)

  - ### getVE

    public int getVE()

  - ### setVE

    public void setVE​(int VE)

  - ### getVT

    public int getVT()

  - ### setVT

    public void setVT​(int VT)

  - ### getSR

    public int getSR()

  - ### setSR

    public void setSR​(int SR)

  - ### getSE

    public int getSE()

  - ### setSE

    public void setSE​(int SE)

  - ### getST

    public int getST()

  - ### setST

    public void setST​(int ST)

  - ### getDecRec

    public int getDecRec()

  - ### setDecRec

    public void setDecRec​(int decRec)

  - ### getDec

    public int getDec()

  - ### setDec

    public void setDec​(int dec)

  - ### getEnabled

    public java.lang.String getEnabled()

  - ### setEnabled

    public void setEnabled​(java.lang.String enabled)

  - ### getReceipts

    public int getReceipts()

  - ### setReceipts

    public void setReceipts​(int receipts)

  - ### getPerX

    public double[] getPerX()

  - ### setPerX

    public void setPerX​(double[] perX)

  - ### getTotX

    public double[] getTotX()

  - ### setTotX

    public void setTotX​(double[] totX)

  - ### getNetX

    public double[] getNetX()

  - ### setNetX

    public void setNetX​(double[] netX)

  - ### getTaxX

    public double[] getTaxX()

  - ### setTaxX

    public void setTaxX​(double[] taxX)

  - ### getReset

    public java.lang.String getReset()

  - ### setReset

    public void setReset​(java.lang.String reset)

  - ### getKLEN

    public int getKLEN()

  - ### setKLEN

    public void setKLEN​(int KLEN)

  - ### getDT

    public java.lang.String getDT()

  - ### setDT

    public void setDT​(java.lang.String DT)

  - ### getCashP

    public double getCashP()

  - ### setCashP

    public void setCashP​(double cashP)

  - ### getCardP

    public double getCardP()

  - ### setCardP

    public void setCardP​(double cardP)

  - ### getCredP

    public double getCredP()

  - ### setCredP

    public void setCredP​(double credP)

  - ### getCheqP

    public double getCheqP()

  - ### setCheqP

    public void setCheqP​(double cheqP)

  - ### getAPayd

    public double[] getAPayd()

  - ### setAPayd

    public void setAPayd​(double[] APayd)

  - ### getDiscC

    public int getDiscC()

  - ### setDiscC

    public void setDiscC​(int discC)

  - ### getDiscS

    public double getDiscS()

  - ### setDiscS

    public void setDiscS​(double discS)

  - ### getMkUpC

    public int getMkUpC()

  - ### setMkUpC

    public void setMkUpC​(int mkUpC)

  - ### getMkUpS

    public double getMkUpS()

  - ### setMkUpS

    public void setMkUpS​(double mkUpS)

  - ### getVoidC

    public int getVoidC()

  - ### setVoidC

    public void setVoidC​(int voidC)

  - ### getVoidS

    public double getVoidS()

  - ### setVoidS

    public void setVoidS​(double voidS)

  - ### getCanC

    public int getCanC()

  - ### setCanC

    public void setCanC​(int canC)

  - ### getInC

    public int getInC()

  - ### setInC

    public void setInC​(int inC)

  - ### getOut

    public int getOut()

  - ### setOut

    public void setOut​(int out)

  - ### getGTotal

    public double getGTotal()

  - ### setGTotal

    public void setGTotal​(double GTotal)

  - ### getGVAT

    public double getGVAT()

  - ### setGVAT

    public void setGVAT​(double GVAT)